﻿using CoreLibrary.Events;

namespace CoreLibrary.Joueurs
{
    public class JoueurBuilder
    {
        public event EventHandler<ConstruireJoueurEventArgs>? ConstruireJoueur;

        private void QuandConstruireJoueur(string? nom) => ConstruireJoueur?.Invoke(this, new ConstruireJoueurEventArgs(nom));

        public void Nom(string? nom)
        {
            QuandConstruireJoueur(nom);
        }
    }
}
